
function pageSkip(obj,listparams){
	var firstTarget_flag = true;
	var firstTargetChild_flag = true;
	var firstTargetChildInner_flag = true;
	var secondTarget_flag = true;
	var thirdTarget_flag = true;
	if( obj.firstTarget ){
		for( var i=0;i<$("[icon-data]").length;i++ ){
			if( $("[icon-data]").eq(i).parent().attr("id") && $("[icon-data]").eq(i).parent().attr("id")==obj.firstTarget ){
				if( $("[icon-data]").eq(i).parent().parent().find(".submenu").length>0 ){//菜单有子级
					if( $("[icon-data]").eq(i).parent().parent().find(".submenu").length>1 ){//菜单有两层子级
						if( obj.firstTargetChild ){
							for( var m=0;m<$("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').length;m++){
								if( $("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').eq(m).attr("id")==obj.firstTargetChild ){
									if( obj.firstTargetChildInner ){
										for( var n=0;n<$("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').eq(m).parent().find(".submenu .menu-link").length;n++){
											if( $("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').eq(m).parent().find(".submenu .menu-link").eq(n).attr("id")==obj.firstTargetChildInner ){
												if(listparams){
													var canshu = "";
													for(var p in listparams){
														canshu += p+","+listparams[p]+","
													}
													canshu = canshu.substring(0,canshu.length-1);
													localStorage.setItem("skiplocalStorage",canshu);
												};
												$("#loadContent").load($("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').eq(m).parent().find(".submenu .menu-link").eq(n).attr("url"),function(){
													localStorage.removeItem("skiplocalStorage");
													//console.log("菜单有两层子级-->跳转到列表页");
													$(".submenu").hide();
													$("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).show();
													$('#sidebarMenu li').removeClass('active open');
													$("[icon-data]").eq(i).parent().parent().addClass('active open');
													$("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find(".dropdown-toggle").eq(m).parent().addClass('active open').find(".submenu").show();
													$("[icon-data]").eq(i).parent().parent().find(".submenu").eq(0).find('.dropdown-toggle').eq(m).parent().find(".submenu .menu-link").eq(n).parent().addClass('active');
													$(".breadcrumb").empty().append("<li><i class='ace-icon fa fa-home home-icon "+$("[icon-data]").eq(i).attr("icon-data")+"'></i><a href='javascript:void(0)'>"+$("#"+obj.firstTarget).text()+"</a></li><li><a href='javascript:void(0)'>"+$("#"+obj.firstTargetChild).text()+"</a></li><li><a href='javascript:void(0)'>"+$("#"+obj.firstTargetChildInner).text()+"</a></li>");
													if( obj.secondTarget&&obj.secondTarget!="" ){
														var loadGridComplete = setInterval(function(){
															if( $("#loadContent").find("table").eq(1).find("tr").length>1 ){
																clearInterval(loadGridComplete);
																for( var q=0;q<$("#loadContent").find("table").eq(1).find("tr").length;q++ ){
																	if( $("#loadContent").find("table").eq(1).find("tr").eq(q).attr("id")==obj.secondTarget ){
																		if( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") ){
																			eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") );
																		}else{
																			eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("href") );
																		}
																		
																		//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页");
																		if( obj.thirdTarget&&obj.thirdTarget!="" ){
																			var loadTabsComplete = setInterval(function(){
																				if( $("#loadContent").find("#tabs").length>0 ){
																					clearInterval(loadTabsComplete);
																					for(var w=0;w<$("#tabs>ul li").length;w++){
																						if( $("#tabs>ul li").eq(w).attr("id")==obj.thirdTarget ){
																							$("#tabs>div").attr("aria-hidden","true").empty().hide();
																			$("#tabs>div").eq(w).attr("aria-hidden","false").show();
																			// $("#tabs").tabs("load",w);
																			$("#tabs").tabs("option","active",w);
																			$("#tabs ul li").removeClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"-1","aria-selected":"false","aria-expanded":"false"});
																			$("#tabs ul li").eq(w).addClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"0","aria-selected":"true","aria-expanded":"true"});
																							//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页-->跳转到详情页的对应面板");
																							thirdTarget_flag = false;
																							break;
																						}
																					};
																					if( thirdTarget_flag ){
																							//console.error("请传入正确的 thirdTarget 参数")
																					}
																				}
																			},100);
																		}
																		secondTarget_flag = false;
																		break;
																	}
																};
																if( secondTarget_flag ){
																	//console.error("请传入正确的 secondTarget 参数")
																}
															}
														},100)
													}
												});
												firstTargetChildInner_flag = false;
												break;
											}
										};
										if( firstTargetChildInner_flag ){
											//console.error("请传入正确的 firstTargetChildInner_flag 参数");
										}
									}else{
										//console.error("请传入 firstTargetChildInner 参数");
									}
									firstTargetChild_flag =false;
									break;
								}
							}
							if( firstTargetChild_flag ){
								//console.error("请传入正确的 firstTargetChild 参数");
							}
						}else{
							//console.error("请传入 firstTargetChild 参数")
						}
					}else{//菜单有一层子级
						if( obj.firstTargetChild ){
							for( var j=0;j<$("[icon-data]").eq(i).parent().parent().find(".submenu li .menu-link span").length;j++ ){
								if( $("[icon-data]").eq(i).parent().parent().find(".submenu li .menu-link").eq(j).attr("id")==obj.firstTargetChild ){
									if(listparams){
										var canshu = "";
										for(var p in listparams){
											canshu += p+","+listparams[p]+","
										}
										canshu = canshu.substring(0,canshu.length-1);
										localStorage.setItem("skiplocalStorage",canshu);
									};
									$("#loadContent").load($("[icon-data]").eq(i).parent().parent().find(".submenu li .menu-link").eq(j).attr("url"),function(){
										localStorage.removeItem("skiplocalStorage");
										//console.log("菜单有一层子级-->跳转到列表页");
										$(".submenu").hide();
										$("[icon-data]").eq(i).parent().parent().find(".submenu li .menu-link").eq(j).parents(".submenu").show();
										$('#sidebarMenu li').removeClass('active open');
										$("[icon-data]").eq(i).parent().parent().addClass('active open');
										$("[icon-data]").eq(i).parent().parent().find(".submenu li .menu-link").eq(j).parent().addClass('active');
										$(".breadcrumb").empty().append("<li><i class='ace-icon fa fa-home home-icon "+$("[icon-data]").eq(i).attr("icon-data")+"'></i><a href='javascript:void(0)'>"+$("#"+obj.firstTarget).text()+"</a></li><li><a href='javascript:void(0)'>"+$("#"+obj.firstTargetChild).text()+"</a></li>");
										if( obj.secondTarget&&obj.secondTarget!="" ){
											var loadGridComplete = setInterval(function(){
												if( $("#loadContent").find("table").eq(1).find("tr").length>1 ){
													clearInterval(loadGridComplete);
													for( var q=0;q<$("#loadContent").find("table").eq(1).find("tr").length;q++ ){
														if( $("#loadContent").find("table").eq(1).find("tr").eq(q).attr("id")==obj.secondTarget ){
															if( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") ){
																eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") );
															}else{
																eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("href") );
															}
															
															//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页");
															if( obj.thirdTarget&&obj.thirdTarget!="" ){
																var loadTabsComplete = setInterval(function(){
																	if( $("#loadContent").find("#tabs").length>0 ){
																		clearInterval(loadTabsComplete);
																		for(var w=0;w<$("#tabs>ul li").length;w++){
																			if( $("#tabs>ul li").eq(w).attr("id")==obj.thirdTarget ){
																				$("#tabs>div").attr("aria-hidden","true").empty().hide();
																$("#tabs>div").eq(w).attr("aria-hidden","false").show();
																// $("#tabs").tabs("load",w);
																$("#tabs").tabs("option","active",w);
																$("#tabs ul li").removeClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"-1","aria-selected":"false","aria-expanded":"false"});
																$("#tabs ul li").eq(w).addClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"0","aria-selected":"true","aria-expanded":"true"});
																				//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页-->跳转到详情页的对应面板");
																				thirdTarget_flag = false;
																				break;
																			}
																		};
																		if( thirdTarget_flag ){
																				//console.error("请传入正确的 thirdTarget 参数")
																		}
																	}
																},100);
															}
															secondTarget_flag = false;
															break;
														}
													};
													if( secondTarget_flag ){
														//console.error("请传入正确的 secondTarget 参数")
													}
												}
											},100)
										}
									});
									firstTargetChild_flag = false;
									break;
								}
							}
							if( firstTargetChild_flag ){
								//console.error("请传入正确的 firstTargetChild 参数");
							}
						}else{
							//console.error("请传入 firstTargetChild 参数")
						}	
					}
				}else{//菜单无子级
					if(listparams){
						var canshu = "";
						for(var p in listparams){
							canshu += p+","+listparams[p]+","
						}
						canshu = canshu.substring(0,canshu.length-1);
						localStorage.setItem("skiplocalStorage",canshu);
					};
					$("#loadContent").load( $("[icon-data]").eq(i).parent().attr("url"),function(){
						localStorage.removeItem("skiplocalStorage");
						//console.log("菜单无子级-->跳转到列表页");
						$(".submenu").hide();
						$('#sidebarMenu li').removeClass('active open');
						$("[icon-data]").eq(i).parent().parent().addClass('active');
						$(".breadcrumb").empty().append("<li><i class='ace-icon fa fa-home home-icon "+$("[icon-data]").eq(i).attr("icon-data")+"'></i><a href='javascript:void(0)'>"+$("#"+obj.firstTarget).text()+"</a></li>");
						if( obj.secondTarget&&obj.secondTarget!="" ){
							var loadGridComplete = setInterval(function(){
								if( $("#loadContent").find("table").eq(1).find("tr").length>1 ){
									clearInterval(loadGridComplete);
									for( var q=0;q<$("#loadContent").find("table").eq(1).find("tr").length;q++ ){
										if( $("#loadContent").find("table").eq(1).find("tr").eq(q).attr("id")==obj.secondTarget ){
											if( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") ){
												eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("onclick") );
											}else{
												eval( $("#loadContent").find("table").eq(1).find("tr").eq(q).find("a:first").attr("href") );
											}
											
											//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页");
											if( obj.thirdTarget&&obj.thirdTarget!="" ){
												var loadTabsComplete = setInterval(function(){
													if( $("#loadContent").find("#tabs").length>0 ){
														clearInterval(loadTabsComplete);
														for(var w=0;w<$("#tabs>ul li").length;w++){
															if( $("#tabs>ul li").eq(w).attr("id")==obj.thirdTarget ){
																$("#tabs>div").attr("aria-hidden","true").empty().hide();
												$("#tabs>div").eq(w).attr("aria-hidden","false").show();
												// $("#tabs").tabs("load",w);
												$("#tabs").tabs("option","active",w);
												$("#tabs ul li").removeClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"-1","aria-selected":"false","aria-expanded":"false"});
												$("#tabs ul li").eq(w).addClass("ui-tabs-active ui-state-active ui-state-focus").attr({"tabindex":"0","aria-selected":"true","aria-expanded":"true"});
																//console.log("菜单有一层子级-->跳转到列表页-->跳转到详情页-->跳转到详情页的对应面板");
																thirdTarget_flag = false;
																break;
															}
														};
														if( thirdTarget_flag ){
																//console.error("请传入正确的 thirdTarget 参数")
														}
													}
												},100);
											}
											secondTarget_flag = false;
											break;
										}
									};
									if( secondTarget_flag ){
										//console.error("请传入正确的 secondTarget 参数")
									}
								}
							},100)
						}
					} );
				}
				firstTarget_flag = false;
				break;
			}
		};
		if( firstTarget_flag ){
			//console.error("请传入正确的 firstTarget 参数")
		}
	}else{
		//console.error("请传入 firstTarget 参数");
	}
}
	/*pageSkip(
		{
			"firstTarget":"enterpriseInfoManagement",//一级菜单id
			"firstTargetChild":"enterpriseManagement",//二级菜单id
			"firstTargetChildInner":"entBasicInfoManagement",//三级菜单id
			"secondTarget":"cf8ba00e-8163-11e7-b317-522ff74882b3",//列表页里的可跳转行的id
			"thirdTarget":"entExceptionManagement"//tab切换标签的id
		},
		//跳转到列表页后传递的参数
		fun
	);*/

//应用场景,以权限遮罩的"点击前往"为例,需要修改两处:
//① 需要加遮罩的 button 或 div ,新添加属性"firstTarget","firstTargetChild","firstTargetChildInner","secondTarget","thirdTarget",分别对应上面参数描述的值,即需要提前知道要前往哪里(注:url 属性是需要进行"点击前往"操作时添加,赋个空字符串即可,不需要时不添加)
//② commonutil.js 里关于"操作按钮遮蔽效果"的 js 代码部分需要把 <a href='"+$(this).attr(operationUrl)+"' class='operation_url'>点击前往&gt;&gt;</a> 修改为 <a href='javascript:void(0)' class='operation_url'>点击前往&gt;&gt;</a>
//然后如下所示进行使用(放到公共 js 即可)
$("#loadContent").off("click").on("click",".operation_url",function(){
	var firstTarget = $(this).parents("[operate='true']").attr("firstTarget");
	var firstTargetChild = $(this).parents("[operate='true']").attr("firstTargetChild");
	var firstTargetChildInner = $(this).parents("[operate='true']").attr("firstTargetChildInner");
	var secondTarget = $(this).parents("[operate='true']").attr("secondTarget");
	var thirdTarget = $(this).parents("[operate='true']").attr("thirdTarget");
	pageSkip({
		"firstTarget":firstTarget,
		"firstTargetChild":firstTargetChild,
		"firstTargetChildInner":firstTargetChildInner,
		"secondTarget":secondTarget,
		"thirdTarget":thirdTarget
	})
})
// "消息推送"的使用方法与此类似,也需要提前知道要跳到哪
//  PS: 页面跳转不复杂,一层二层三层跳转都可以实现,复杂在通用的跳和传参问题上,目前这种写法比较臃肿...先放到系统里测试看看有没有问题吧,
//有问题再调试(装了eclipse,配了环境,把项目文件拷下来,但是运行一直失败,项目跑不起来,折腾大半天,所以在系统里有没有问题我这里没测出来,需要你来测一下,
//顺便这种方式写法是不是有些弄复杂了,从需求上来看可否精简一些,或者你有没有什么别的想法?)












